package client;

import javax.naming.*;
import javax.rmi.*;
import server.*;

/**
 * @author knk
 *
 * JVelox - www.jvelox.com.br
 */
public class Client {

	public static void main(String[] args) throws Exception {
		java.util.Properties props = new java.util.Properties();
		props.setProperty("java.naming.factory.initial" ,"org.jnp.interfaces.NamingContextFactory" );
		props.setProperty("java.naming.provider.url","localhost:1099");
		props.setProperty("java.naming.factory.url.pkgs", "org.jboss.naming");
		Context context = new InitialContext( props );		
		
		Object ref = context.lookup("CourseManager");
		
		CourseManagerHome managerHome = (CourseManagerHome)PortableRemoteObject.narrow( ref, CourseManagerHome.class );		
		CourseManager manager = managerHome.create();
		
		manager.createCourse("Historia");
		manager.createCourse("Matematica"); 
		manager.createCourse("Portugues");		
		
		manager.createStudent("Jose");
		manager.createStudent("Joao");
		manager.createStudent("Maria");
		manager.createStudent("Roberto");						
		
		manager.createTeacher("Sr.Carlos");
		manager.createTeacher("Sra.Garibaldi");
		
		
		manager.bindTeacherCourse(new TeacherPk("Sr.Carlos"), new CoursePk("Historia"));
		manager.bindTeacherCourse(new TeacherPk("Sr.Carlos"), new CoursePk("Matematica"));
		manager.bindTeacherCourse(new TeacherPk("Sra.Garibaldi"), new CoursePk("Portugues"));
		
		manager.bindStudentCourse(new StudentPk("Jose"),new CoursePk("Historia") );
		manager.bindStudentCourse(new StudentPk("Jose"),new CoursePk("Matematica") );
		
		System.out.println("Cursos do Jose:"+ manager.getStudentsCourses(new StudentPk("Jose")) );

		System.out.println("prof Sr.Carlos:"+ manager.getTeacherCourses(new TeacherPk("Sr.Carlos")) );		
		
		
		
		
		
		
	}
}
